﻿// Autor
//      Patrick Elger (cad-tutorials.de)
//
// Versionen
//      V1.0 (12.08.2019): Skript wurde erstellt
//
// Beschreibung
//      Mit diesem Skript können tabellarische Texte mit einem Präfix versehen werden. 
//      Einfach die zu ändernden Daten markieren und mit STRG+C kopieren -> Skript ausführen -> Daten mit STRG+V wieder einfügen.
//      Es dürfen nur untereinanderstehende Daten kopiert werden.

using System.Collections;
using System.Collections.Specialized;
using System.Collections.Generic;
using System.IO;

public class AddPraefixToClipboard
{

	[DeclareAction("addPraefixToClipboard")]

	public void Function(string PRAEFIX) // Funktion*
    {


        string[] strarr = new string[1];
        int iArr = 0;
        bool flag = false;
        String newStr = "";
        String textAlt = (Clipboard.GetText(TextDataFormat.UnicodeText));
        char[] arr = textAlt.ToCharArray(0, textAlt.Length - 0);


        foreach (char c in arr)
        {

            if (!char.IsControl(c))
            {


                strarr[iArr] = strarr[iArr] + c.ToString();
                flag = false;

            }
            else
            {
                if (!flag)
                {
                    iArr++;
                    Array.Resize(ref strarr, strarr.Length + 1);
                }

                flag = true;
            }

        }


        foreach (String x in strarr)
        {
            if (x != null)
            {

                newStr = newStr + PRAEFIX + x + "\n";
            }
        }

        Clipboard.SetText(newStr);


    }
}
